﻿
body {
    content: "";
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -10;
    /*// background: url(/Images/BG_CORN_FIELD.jpg) no-repeat center center;*/
    /*background: url(/Images/truckscale.jpg) no-repeat center center;*/
    /*background: url(/Images/truckweight.jpeg) no-repeat center center;*/
    /*background: url(/Images/floorscale.jpg) no-repeat center center;*/
    /*background: url(/Images/BG_CORN_FIELD.jpg) no-repeat center center;*/
    background-color: gray;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}
   


* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}


.header {
    grid-area: header;
}

.main {
    grid-area: main;
    display: grid;
    align-items: center;
    justify-items: center;
    overflow: auto;
}


.footer {
    grid-area: footer;
}


.px-dialog {
    box-shadow: 5px 10px 8px rgb(0 0 0 / 0.72);
}

.main-container {
    display: grid;
    grid-template-rows: 50px auto 30px!important;
    grid-template-areas: 'header header header header header header' 'main main main main main main' 'footer footer footer footer footer footer';
    grid-gap: 10px;
    padding: 0px;   
    height: 100vh; /* Fallback for browsers that do not support Custom Properties */
    height: calc(var(--vh, 1vh) * 100);
    position:fixed;
    width:100%;
}
